Models

Skytells provides access to a diverse and ever-expanding catalog of AI models spanning image generation, video synthesis, audio and music creation, lip-sync, upscaling, and multimodal capabilities — built by Skytells and leading partners including Google, OpenAI, Black Forest Labs, NVIDIA, Alibaba, and more.

Browse all available models, their capabilities, and pricing on the Model Explorer, or use the API to discover them programmatically.


GET/v1/models

Available Models

This endpoint allows you to retrieve a paginated list of all models. By default, a maximum of ten models are shown per page.

This endpoint is public and useful for getting the list of models and their parameters, You may also use it to check the status of the model, if it is operational or not.

Optional attributes

  • Name
    limit
    Type
    integer
    Description

    Limit the number of models returned.

  • Name
    offset
    Type
    integer
    Description

    Offset the returned models.

  • Name
    vendor
    Type
    object
    Description

    The vendor of the model.

  • Name
    type
    Type
    string
    Description

    The type of the model.

  • Name
    status
    Type
    string
    Description

    The status of the model. operational or offline.

Rate Limits

This endpoint is public and does not count towards your rate limits. However, you may still be rate limited by the public API limiter.

Request

GET
/v1/models
curl -G https://api.skytells.ai/v1/models \
  -H "x-api-key: {api_key}" \
  -d limit=10

Response

{
  "has_more": false,
  "models": [
    {
      "name": "TrueFusion",
      "description": "TrueFusion Standard",
      "namespace": "truefusion",
      "type": "image",
      "privacy": "public",
      "vendor": {
        "name": "Skytells",
        "description": "Skytells is a cutting-edge AI company at the forefront of technological innovation. With a mission to transform industries and empower businesses.",
        "image_url": "IMAGE_URL",
        "verified": true,
        "slug": "skytells",
        "metadata": null
      },
      "billable": true,
      "pricing": {
        "amount": 0.003,
        "currency": "USD",
        "unit": "image"
      },
      "status": "operational"
    }
  ]
}

GET/v1/models/{slug}

Get a model

Retrieve a single model by its slug (namespace). Use the fields query parameter to include the model's input and output schemas.

Required attributes

  • Name
    slug
    Type
    string
    Description

    The model slug / namespace (e.g. truefusion-x, flux-pro, beatfusion-2.0).

Optional query parameters

  • Name
    fields
    Type
    string
    Description

    Comma-separated list of extra fields to include: input_schema, output_schema.

Errors

  • Name
    MODEL_NOT_FOUND
    Type
    404
    Description

    Model slug does not exist.

  • Name
    UNAUTHORIZED
    Type
    401
    Description

    API key missing or invalid.

Request

GET
/v1/models/{slug}
curl https://api.skytells.ai/v1/models/truefusion-x \
  -H "x-api-key: {api_key}"

Response

{
  "name": "TrueFusion X",
  "description": "Ultra Fast, Ultra High-Resolution - More Pixels in Every Image.",
  "namespace": "truefusion-x",
  "type": "image",
  "privacy": "public",
  "img_url": null,
  "vendor": {
    "name": "Skytells",
    "description": "Skytells is a cutting-edge AI company at the forefront of technological innovation. With a mission to transform industries and empower businesses.",
    "image_url": "https://avatars.githubusercontent.com/u/47755380?s=200&v=4",
    "verified": true,
    "slug": "skytells",
    "metadata": null
  },
  "billable": true,
  "pricing": {
    "amount": 0.1,
    "currency": "USD",
    "unit": "image"
  },
  "capabilities": [
    "image-to-image",
    "text-to-image",
    "partner",
    "quality"
  ],
  "metadata": {
    "edge_compatible": false,
    "openai_compatible": false,
    "cold_boot": false
  },
  "status": "operational"
}

input_schema

{
  "type": "object",
  "title": "Input",
  "required": ["prompt"],
  "properties": {
    "prompt": {
      "type": "string",
      "title": "Prompt",
      "description": "A text description of the image you want to generate"
    },
    "image": {
      "type": "array",
      "items": { "type": "string", "format": "uri" },
      "title": "Reference Images"
    },
    "quality": {
      "enum": ["low", "medium", "high"],
      "type": "string",
      "default": "medium"
    },
    "n": {
      "type": "number",
      "title": "Images",
      "default": 1
    },
    "size": {
      "enum": ["1024x1024", "768x1152", "1152x768", "1792x1024", "1920x822"],
      "type": "string",
      "default": "1024x1024"
    },
    "output_format": {
      "enum": ["jpg", "png"],
      "type": "string",
      "default": "jpg"
    }
  }
}

TrueFusion

TrueFusion is a model that can generate images from text with a focus on realism and detail. To learn more about the TrueFusion family, please refer to the TrueFusion Model Card.

The TrueFusion model for image-generation is available in four variants:

  • TrueFusion: API name truefusion
  • TrueFusion Pro: API name truefusion-pro
  • TrueFusion Max: API name truefusion-max
  • TrueFusion Pano: API name truefusion-pano

While the TrueFusion models for videos are available in 2 variants:

  • TrueFusion Video: API name truefusion-video
  • TrueFusion Video Pro: API name truefusion-video-pro

Each variant has different parameters, inference time, and capabilities.

ModelCostInference TimeNamespacesResolution
TrueFusion$0.03 per image~10 - 60 secondstruefusion1MP
TrueFusion Pro$0.05 per image~4 - 38 secondstruefusion-pro2MP
TrueFusion Max$0.08 per image~2 - 18 secondstruefusion-max4MP
TrueFusion Pano$0.03 per image~10 - 60 secondstruefusion-pano2MP
TrueFusion Video$0.112 per second~1 - 6 minutestruefusion-video720p
TrueFusion Video Pro$0.196 per second~1 - 5 minutestruefusion-video-pro1080p

You may reduce your billing costs by reducing the number of images, steps, and the size and aspect ratio of the image.

Parameters

ParameterTrueFusionTrueFusion ProTrueFusion MaxTrueFusion Pano
prompt
width
height
num_inference_steps
guidance_scale
seed
num_images
output_format
output_quality

Model Catalog

Skytells offers a growing catalog of AI models across image, video, audio, and multimodal domains. Models are continuously updated with new capabilities, improved quality, and optimized pricing.

Each model has its own input schema, output format, and pricing structure. Use the GET /v1/models endpoint to programmatically discover available models, or GET /v1/models/{slug}?fields=input_schema to inspect a specific model's parameters.

For the latest models, pricing, and capabilities, visit the Model Explorer.

To learn how to integrate Skytells models into your applications and empower your development workflow, visit Skytells Learn.

Was this page helpful?